---
title: "1.10.0 - Release Candidate"
linkTitle: "1.10.0-rc"
date: "2020-11-03"
---

This is the 1.10.0-rc release of Agones.

This release fixes critical performance bugs in the gRPC Allocation endpoint, as well as fixing a memory leak
inherited from client-go. Therefore, we recommend upgrading your install of Agones as soon as possible.

Check the <a href="https://github.com/googleforgames/agones/tree/release-1.10.0-rc" >README</a> for details on features, installation and usage.

**Breaking changes:**

- Remove the documentation for helm v2 [\#1859](https://github.com/googleforgames/agones/pull/1859) ([roberthbailey](https://github.com/roberthbailey))

**Security fixes:**

- update node.js dependencies [\#1868](https://github.com/googleforgames/agones/pull/1868) ([steven-supersolid](https://github.com/steven-supersolid))

**Implemented enhancements:**

- Adding allocator log level [\#1879](https://github.com/googleforgames/agones/issues/1879)
- Adding allocator resources [\#1873](https://github.com/googleforgames/agones/issues/1873)
- Add troubleshooting section to allocator and multicluster allocation [\#1866](https://github.com/googleforgames/agones/issues/1866)
- Helm setting the annotation of controller and allocator [\#1848](https://github.com/googleforgames/agones/issues/1848)
- Change the multi-cluster allocation feature to stable version [\#1780](https://github.com/googleforgames/agones/issues/1780)
- Updated C\# documentation to use NuGet package [\#1769](https://github.com/googleforgames/agones/issues/1769)
- Documented assumed prerequisite knowledge for the project [\#1759](https://github.com/googleforgames/agones/issues/1759)
- Multicluster: Add gRPC dial timeout [\#1700](https://github.com/googleforgames/agones/issues/1700)
- Add new projects to Third Party section of the site [\#1882](https://github.com/googleforgames/agones/pull/1882) ([danieloliveira079](https://github.com/danieloliveira079))
- Add log level setting in allocator [\#1880](https://github.com/googleforgames/agones/pull/1880) ([8398a7](https://github.com/8398a7))
- Add troubleshooting for allocation gRPC request [\#1878](https://github.com/googleforgames/agones/pull/1878) ([pooneh-m](https://github.com/pooneh-m))
- Add allocator resources [\#1874](https://github.com/googleforgames/agones/pull/1874) ([8398a7](https://github.com/8398a7))
- \[Unreal SDK\] Added a response code check to some functions [\#1870](https://github.com/googleforgames/agones/pull/1870) ([dotcom](https://github.com/dotcom))
- Built tools: Update install with Allocation certs [\#1869](https://github.com/googleforgames/agones/pull/1869) ([markmandel](https://github.com/markmandel))
- Add gRPC load test for allocation service [\#1867](https://github.com/googleforgames/agones/pull/1867) ([ilkercelikyilmaz](https://github.com/ilkercelikyilmaz))
- Add pod annotations [\#1849](https://github.com/googleforgames/agones/pull/1849) ([8398a7](https://github.com/8398a7))
- Useful Unreal links [\#1846](https://github.com/googleforgames/agones/pull/1846) ([domgreen](https://github.com/domgreen))
- Make the force\_update option configurable in Helm/Terraform [\#1844](https://github.com/googleforgames/agones/pull/1844) ([comerford](https://github.com/comerford))
- \[Doc\] Mark multicluster allocation feature as stable [\#1843](https://github.com/googleforgames/agones/pull/1843) ([pooneh-m](https://github.com/pooneh-m))
- Docs: Prerequisite Knowledge section [\#1821](https://github.com/googleforgames/agones/pull/1821) ([markmandel](https://github.com/markmandel))
- Docs: Update C\# SDK docs page [\#1796](https://github.com/googleforgames/agones/pull/1796) ([Reousa](https://github.com/Reousa))

Documentation: https://development.agones.dev/site/

See <a href="https://github.com/googleforgames/agones/blob/release-1.10.0-rc/CHANGELOG.md" >CHANGELOG</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.10.0-rc](https://gcr.io/agones-images/agones-controller:1.10.0-rc)
- [gcr.io/agones-images/agones-sdk:1.10.0-rc](https://gcr.io/agones-images/agones-sdk:1.10.0-rc)
- [gcr.io/agones-images/agones-ping:1.10.0-rc](https://gcr.io/agones-images/agones-ping:1.10.0-rc)
- [gcr.io/agones-images/agones-allocator:1.10.0-rc](https://gcr.io/agones-images/agones-allocator:1.10.0-rc)
- [gcr.io/agones-images/cpp-simple-server:0.13](https://gcr.io/agones-images/cpp-simple-server:0.13)
- [gcr.io/agones-images/crd-client:0.3](https://gcr.io/agones-images/crd-client:0.3)
- [gcr.io/agones-images/nodejs-simple-server:0.5](https://gcr.io/agones-images/nodejs-simple-server:0.5)
- [gcr.io/agones-images/rust-simple-server:0.8](https://gcr.io/agones-images/rust-simple-server:0.8)
- [gcr.io/agones-images/simple-game-server:0.1](https://gcr.io/agones-images/simple-game-server:0.1)
- [gcr.io/agones-images/supertuxkart-example:0.3](https://gcr.io/agones-images/supertuxkart-example:0.3)
- [gcr.io/agones-images/tcp-server:0.4](https://gcr.io/agones-images/tcp-server:0.4)
- [gcr.io/agones-images/udp-server:0.21](https://gcr.io/agones-images/udp-server:0.21)
- [gcr.io/agones-images/unity-simple-server:0.3](https://gcr.io/agones-images/unity-simple-server:0.3)
- [gcr.io/agones-images/xonotic-example:0.8](https://gcr.io/agones-images/xonotic-example:0.8)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.10.0-rc.tgz" >
  <code>helm install agones agones/agones --version 1.10.0-rc</code></a>

> Make sure to add our stable helm repository using `helm repo add agones https://agones.dev/chart/stable`
